<?xml version="1.0" encoding="utf-8" ?>
<Recipe Name="ConnectionStringWizard" xmlns="http://schemas.microsoft.com/pag/gax-core">
	<Caption>Recipe elements to display connectionstring wizard</Caption>
	<Arguments>
		<Argument Name="ConnectionName">
			<!--<Converter Type="Microsoft.Practices.ServiceFactory.DataAccess.Converters.ConnectionNameConverter, Microsoft.Practices.ServiceFactory.DataAccess"/>-->
		</Argument>
		<Argument Name="ConnectionString" />
		<Argument Name="DataProvider" />
	</Arguments>
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0">
			<Pages>
				<Page Height="100" Width="100">
					<Title>Default ConnectionString properties</Title>
					<LinkTitle>Default ConnectionString properties</LinkTitle>
					<Fields>
						<Field ValueName="ConnectionName" Label="Connection Name">
							<Tooltip>Friendly name to assign to the connection when stored in the application configuration file.</Tooltip>
						</Field>
						<Field ValueName="ConnectionString" Label="Connection String" ReadOnly="true">
							<Tooltip>Connection string that will be stored in the application configuration file.</Tooltip>
							<Editor Type="Howest.Guidance.Extensions.Editors.ConnectionStringEditor, Howest.Guidance.Extensions"
								ProviderArgument="DataProvider"/>
						</Field>
					</Fields>
				</Page>
			</Pages>
		</Wizard>
	</GatheringServiceData>
</Recipe>
